package cn.axzo.msg.center.dal;

import cn.axzo.msg.center.dal.mapper.CardIdempotentMapper;
import cn.axzo.msg.center.domain.entity.CardIdempotent;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

/**
 * @author yanglin
 */
@Slf4j
@Component
public class CardIdempotentDao extends ServiceImpl<CardIdempotentMapper, CardIdempotent> {

    public void deleteIdempotent(String appCode, String templateCode, String idempotentCode) {
        if (StringUtils.isBlank(idempotentCode))
            return;
        lambdaUpdate()
                .eq(CardIdempotent::getAppCode, appCode)
                .eq(CardIdempotent::getTemplateCode, templateCode)
                .eq(CardIdempotent::getIdempotentCode, idempotentCode)
                .remove();
    }

}